% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cognitoidentityprovider_operations.R
\name{cognitoidentityprovider_update_auth_event_feedback}
\alias{cognitoidentityprovider_update_auth_event_feedback}
\title{Provides the feedback for an authentication event, whether it was from a
valid user or not}
\usage{
cognitoidentityprovider_update_auth_event_feedback(
  UserPoolId,
  Username,
  EventId,
  FeedbackToken,
  FeedbackValue
)
}
\arguments{
\item{UserPoolId}{[required] The user pool ID.}

\item{Username}{[required] The user pool username.}

\item{EventId}{[required] The event ID.}

\item{FeedbackToken}{[required] The feedback token.}

\item{FeedbackValue}{[required] The authentication event feedback value. When you provide a
\code{FeedbackValue} value of \code{valid}, you tell Amazon Cognito that you trust
a user session where Amazon Cognito has evaluated some level of risk.
When you provide a \code{FeedbackValue} value of \code{invalid}, you tell Amazon
Cognito that you don't trust a user session, or you don't believe that
Amazon Cognito evaluated a high-enough risk level.}
}
\description{
Provides the feedback for an authentication event, whether it was from a valid user or not. This feedback is used for improving the risk evaluation decision for the user pool as part of Amazon Cognito advanced security.

See \url{https://www.paws-r-sdk.com/docs/cognitoidentityprovider_update_auth_event_feedback/} for full documentation.
}
\keyword{internal}
